Skip to main content
GET
Error

Path Parameters

spacecraftId
string
required

Parent spacecraft id

thrusterId
string
required

Thruster id

Response

Thruster retrieved successfully

Thruster response data

createdAt
string<date-time>

Timestamp when thruster was created

Example:

"2025-10-22T10:30:00Z"

direction
enum<string>

Thrust direction in 3D coordinate system

Available options:
X+,
X-,
Y+,
Y-,
Z+,
Z-
Example:

"Z+"

id
string

Thruster unique identifier (UUID)

Example:

"550e8400-e29b-41d4-a716-446655440000"

isp
number<double>

Specific impulse in seconds (s)

Example:

300

maxBurnTime
number<double>

Maximum continuous burn duration in seconds (s)

Example:

3600

name
string

Thruster name (unique per spacecraft)

Example:

"Main Engine"

spacecraftId
string

Spacecraft ID this thruster belongs to

Example:

"spacecraft-123"

thrust
number<double>

Maximum thrust in Newtons (N)

Example:

500

type
enum<string>

Propulsion type (auto-computed from ISP), rendered UPPER_CASE per DT-17

Available options:
CHEMICAL,
ELECTRIC
Example:

"CHEMICAL"

updatedAt
string<date-time>

Timestamp when thruster was last updated

Example:

"2025-10-22T15:45:00Z"

x
number<double>

Position X coordinate in meters (m)

Example:

0

y
number<double>

Position Y coordinate in meters (m)

Example:

0

z
number<double>

Position Z coordinate in meters (m)

Example:

-1.5